%global dlrn_nvr vmware-nsxlib-15.0.2.dev6-0.20191202203556.d6e1862
%global dlrn 1
%define upstream_version 15.0.2.dev6
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global pypi_name vmware-nsxlib
%global module vmware_nsxlib
%global with_doc 0

Name:           python-%{pypi_name}
Version: 15.0.2
Release: 0.20191202203556.d6e1862%{?dist}
Summary:        A common library that interfaces with VMware NSX

License:        ASL 2.0
URL:            https://github.com/openstack/vmware-nsxlib
Source0: vmware-nsxlib-15.0.2.dev6-0.20191202203556.d6e1862.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=d6e1862717f095684fad616b9ea9ef59c6921b55
Patch0001: 0001-Find-tier0-s-tranzport_zone-via-advanced_config.patch

BuildArch:      noarch

%description
vmware-nsxlib is a common library that interfaces with VMware NSX

%package -n     python%{pyver}-%{pypi_name}
Summary:        A common library that interfaces with VMware NSX
%{?python_provide:%python_provide python%{pyver}-%{pypi_name}}

BuildRequires:  git
BuildRequires:  python%{pyver}-fixtures
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-subunit
BuildRequires:  python%{pyver}-stestr
BuildRequires:  python%{pyver}-testscenarios
BuildRequires:  python%{pyver}-testtools
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-hacking
BuildRequires:  python%{pyver}-mock
BuildRequires:  python%{pyver}-oslotest
BuildRequires:  python%{pyver}-oslo-log
BuildRequires:  python%{pyver}-oslo-serialization
BuildRequires:  python%{pyver}-oslo-service
BuildRequires:  python%{pyver}-oslo-utils
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-sphinx
BuildRequires:  python%{pyver}-tenacity
BuildRequires:  python%{pyver}-testresources
Requires:       python%{pyver}-pbr >= 2.0.0
Requires:       python%{pyver}-eventlet >= 0.18.2
Requires:       python%{pyver}-netaddr >= 0.7.18
Requires:       python%{pyver}-tenacity >= 4.4.0
Requires:       python%{pyver}-six >= 1.10.0
Requires:       python%{pyver}-oslo-i18n >= 3.15.3
Requires:       python%{pyver}-oslo-log >= 3.36.0
Requires:       python%{pyver}-oslo-serialization >= 2.18.0
Requires:       python%{pyver}-oslo-service >= 1.24.0
Requires:       python%{pyver}-oslo-utils >= 3.33.0
Requires:       python%{pyver}-pyOpenSSL >= 17.1.0

# Handle python2 exception
%if %{pyver} == 2
BuildRequires:  python-requests-mock
BuildRequires:  python-decorator
Requires:       python-decorator
Requires:       python-enum34
%else
BuildRequires:  python%{pyver}-requests-mock
BuildRequires:  python%{pyver}-decorator
Requires:       python%{pyver}-decorator
%endif

%description -n python%{pyver}-%{pypi_name}
vmware-nsxlib is a common library that interfaces with VMware NSX


%package -n python%{pyver}-%{pypi_name}-tests
Summary:    A common library that interfaces with VMware NSX - tests
Requires:   python%{pyver}-%{pypi_name} = %{version}-%{release}

%description -n python%{pyver}-%{pypi_name}-tests
A common library that interfaces with VMware NSX

This package contains the test files.


%if 0%{?with_doc}
%package -n python-%{pypi_name}-doc
Summary:        vmware-nsxlib documentation

BuildRequires:  python%{pyver}-oslo-sphinx
BuildRequires:  python%{pyver}-sphinx

%description -n python-%{pypi_name}-doc
Documentation for vmware-nsxlib
%endif


%prep
%autosetup -n %{pypi_name}-%{upstream_version} -S git
# Let's handle dependencies ourseleves
rm -f *requirements.txt
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%{pyver_build}

%if 0%{?with_doc}
# generate html docs
sphinx-build-%{pyver} doc/source html
# remove the sphinx-build-%{pyver} leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%{pyver_install}

%check
%{pyver_bin} setup.py test

%files -n python%{pyver}-%{pypi_name}
%license LICENSE
%doc README.rst
%{pyver_sitelib}/%{module}
%{pyver_sitelib}/%{module}-*-py?.?.egg-info
%exclude %{pyver_sitelib}/%{module}/tests

%files -n python%{pyver}-%{pypi_name}-tests
%license LICENSE
%{pyver_sitelib}/%{module}/tests

%if 0%{?with_doc}
%files -n python-%{pypi_name}-doc
%license LICENSE
%doc html
%endif

%changelog
* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.3-1
- Update patches
- Fix policy tier1 get_realized_id bug

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.3-1
- Update patches
- Support transaction for Tier1 NAT rules create & delete

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.3-1
- Update patches
- Add transaction support in SecurityPolicies and Rules

* Sun Nov 03 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.3-1
- Update patches
- Merge "Fix policy LB member deletion" into stable/train
- Fix policy LB member deletion

* Sun Nov 03 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.3-1
- Update patches
- Fix few policy transactions issues

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.3-1
- Update patches
- Find OverlayTransportZone from host switch

* Sun Oct 27 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.3-1
- Find tier0's tranzport_zone via advanced_config
- Fix policy tier1 get_realized_id bug
- Fix .gitreview for stable branch
- Find tier0's tranzport_zone via advanced_config
- Fix policy tier1 get_realized_id bug

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.3-1
- Update patches
- Find tier0's tranzport_zone via advanced_config

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.3-1
- Update patches
- Fix policy tier1 get_realized_id bug

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.3-1
- Update patches
- Add caching for mdproxy & edge clusters for TZ validations
- Add VPN TODO

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> 14.0.3-1
- Update patches
- Include error code in RealizationErrorStateError in Policy

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Use realization ID if not found by search api"
- Merge "Add support for policy Metadata proxy resource"
- Add support for policy Metadata proxy resource
- Use realization ID if not found by search api

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add exception for vlan conflicts"
- Add exception for vlan conflicts
- Add retry upon LB virtual server update conflicts

